- [HTTP request](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/patch#body.request_body)
- [Response body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/patch#body.aspect)
- [Try it!](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig/patch#try-it)

<br />

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features.

Updates the Chat app configuration of a project. Only Chat apps built as Google Workspace add-ons are supported. Each Google Cloud project has exactly one Chat app configuration.

<br />

Requires authenticating and authorizing with user credentials and the `gsuiteaddons.chatAppConfigs.update`, `chat.bots.update` and `chat.bots.get` IAM permissions on the project.

### HTTP request

`PATCH https://gsuiteaddons.googleapis.com/v1/{chatAppConfig.name=projects/*/chatAppConfig}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `chatAppConfig.name` | `string` Required. Identifier. Resource name of the Chat app configuration. Format: `projects/{project}/chatAppConfig`, where `{project}` is the Google Cloud project number. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. If omitted, only the fields with non-empty values in the provided Chat app configuration are updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig#ChatAppConfig`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.chatAppConfig#ChatAppConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).